# frozen_string_literal: true

module Core
  module Define
    module Utils
      module_function def camelize(value)
        value.to_s.gsub(/[^a-zA-Z0-9]/, "_").gsub("__", "_").split("_").map(&:capitalize).join
      end
    end
  end
end
